Subject: Re: bug#13523: 24.2.92; [regression] mark-active

From: Stefan Monnier <[email-masked]>
Date: Thu, 31 Jan 2013 09:47:36 -0500

>>> Can we turn the test around, so that rather than saying "deactivate the
>>> mark if the final event was mouse-set-point or mouse-set-region", we say
>>> "deactivate the mark unless the final event was X or Y"?
>>> (I don't know what X or Y are, something related to multi-clicks I guess.)
>> Can someone point out why the patch below wouldn't work?
> Won't it break dragging to select a region and activate the mark?

I don't think so, because the next command (the one bound to the
up-event) should/will activate the mark (since the next event should be
a drag-mouse-1).

And in my tests, it seems to work just fine, indeed.

> Bearing that in mind, this seems odd:
>   (> (event-click-count event) 0)
> since surely event-click-count is always >= 1?

Indeed even (event-click-count ?a) returns 1, so the test seems broken.

        Stefan